Kidmin App

Printer Troubleshooting

Brand

Downloading Dymo's Software.

Due to a bug in Dymo's software, we require users to be on version 8.7.1 on PC or 8.7 if on a Mac. You can find the download links below.


Current Printer Status

After installing the correct version of Dymo's software, all three check should show as "Yes".

  • Browser Supported:
  • Framework Installed:
  • Web Service Present:

Checking...


Browser not supported.

The Dymo Webservice isn't detected.

First make sure you've installed Dymo's software. If you haven't done this yet, please click on the blue button above titled, "Download Dymo 8.7.1 Now".

If you already have Dymo Label 8.7.1 installed, please follow the instructions below.



Step 1. Click on the Start Button.





Step 2. Start Typing "Dymo" and click on "Dymo Webservice".

Note, if you don't see this option, you probably need to install





Step 3. Confirm it's running.